﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

image logo = "SanctumDeskS.jpg"
image stair = "stairs.jpg"
image fork = "TrackSplit.jpg"
image tleft = "TrackCurveLeft.jpg"
image tright = "TrackCurveRight.jpg"
image blofor = "TrackSplitPit.jpg"
image tracover = "TrackSplitCov.jpg"
image trackend = "TracksEnd2.jpg"
image trick = "TrickIdea.png"
image melony = "Melony.png"
image pado = "Keypad1.png"
image padt = "Keypad2.png"
image bordo = "circuit1.png"
image b1 = "BlueButton.png"
image platform = "SubPlatform.jpg"
image trador = "TracksDoor.jpg"
image robin = "RobinB.png"
image haldor = "HallDoor.jpg"
image office = "TicketO.jpg"
image officep = "TicketD.jpg"
image offices = "TicketP.jpg"
image officec = "TicketC.jpg"
image tracks = "TracksStraight.jpg"
image lights = "Lights.png"
image white = "White.jpg"
image black = "blackout.jpg"
image showhidden = "TracksEndMap2.jpg"
image traintunnel = "HallCar.jpg"
image incar = "InsideCar.jpg"
image alum = "aluminum.png"
image alum2 = "aluminum.png"
image alum3 = "aluminum.png"
image alum4 = "aluminum.png"
image wanted = "posterclose.png"
image shaftop = "TrackHole.jpg"
image shaft = "Shaft.jpg"
image hub = "Hub.jpg"
image dead = "deadend.jpg"
image trackd = "TracksStraightD.jpg"
image jack = "Jack.png"
image arrowa = "TracksDirections.jpg"
image trackm = "TracksMirror.jpg"
image gate = "gate.jpg"
image syn = "hintclose.png"
image crash = "wreck.jpg"
image linda = "lindaNew.png"
image hideout = "Hideout.jpg"
image halld = "HallwayD.jpg"
image ladder = "ladder.jpg"
image duck = "Trackove.jpg"
image hidey = "Hidden.jpg"
image tr = "TR.jpg"
image train = "gtrain.jpg"
image ghost = "soul.png"
image eavesd = "Spying.jpg"
image find = "TracksDead.jpg"
image uncovered = "TracksDeadRevealed.jpg"
image glass = "HourglassRoom.jpg"
image hourglass = "hourglass.png"
image run = "DeadTracks.jpg"
image darkness = "darkness.png"
image tside = "AtTrain.jpg"
image traindoor = "trainside.png"
image cockpit = "traincockpit.png"
image tcirc = "TrainP1.jpg"
image tpan = "ghostpanel.jpg"
image uparrow = "uparrow.png"
image rarrow = "rarrow.png"
image backarrow = "backarrow.png"
image larrow = "larrow.png"
image tempty = "doormissing.jpg"
image melhint = "melhint.png"
image pendant = "pendant.png"
image birthday = "traincontrols2.jpg"

# Declare characters used by this game.
define t = Character('Trick')
define w = Character('???')
define f = Character('Flynn')
define m = Character('Melony')
define r = Character('Robin')
define j = Character('Jack')
define l = Character('Linda')

init python:
        
    def rever_dragged(drags, drop):
        
        if not drop:
        #    store.lever[(int(drags[0].drag_name[0]) * 10 + int(drags[0].drag_name[1]))][0] = drags[0].x
        #    store.lever[(int(drags[0].drag_name[0]) * 10 + int(drags[0].drag_name[1]))][1] = drags[0].y
            return
            
        #store.rever = int(drags[0].drag_name[0])
        #store.place = [int(drop.drag_name[0]), int(drop.drag_name[1])]
        
        return True
        
screen lev_puzzle:
        
    add "DragP1.png":
        xpos 339 ypos 177
        
    draggroup:
        drag:
            drag_name "slot"
            child "DragP1.png"
            draggable False
            xpos 339 ypos 177
                
        drag:
            drag_name "lever"
            child "DragC1.png"
            droppable False
            dragged rever_dragged
            xpos 337 ypos 165

# The game starts here.
label start:
    
    scene black
    pause .5
    scene logo with fade
    pause 2.5
    scene black with fade
    pause .5
    "TRICK: RIDDLE DETECTIVE IS OWNED BY SANCTUM GAMES AND IS PROTECTED BY COPYWRIGHT.
     UNAUTHORIZED REPRODUCTION OF THIS SOFTWARE AND/OR ANY OF ITS CONENT IS ILLEGAL.
     FOR QUESTIONS, OR TO REPORT A PROBLEM WITH THIS SOFTWARE, PLEASE CONTACT megamedesigner@gmail.com. 
     THE AUTHOR OF THIS GAME DOES NOT CLAIM OWNERSHIP OF, OR CLAIM TO HAVE DEVELOPED, THE 
     REN'PY ENGINE WITH WHICH THIS SOFTWARE WAS CREATED. TO VIEW THE REN'PY LICENSE, PLEASE 
     VISIT http://www.renpy.org/dl/lgpl/"
    
    $ metFly = False
    define quick_d = Dissolve (0.2)
    define slow_d = Dissolve (2.2)
    define slow_dissolve = Dissolve (5.0)
    
    python:
        coorlistx = 339
        coorlisty = 177
        rever = [0,0]
        movedpiece = 0
        movedplace = [0, 0]
        #coorlistx is an x balue, coorlist y a y value. piecelist needs to match those.
        #make the lever drag object's location set to piecelist.
        #for the win condition, check it.
    
    init python:
        
        config.imagemap_cache = False
    
    pause .5
    
    scene white with fade
    pause .5
    
    "Hello and thank you for participating in the T:RD QA and play test. As you go through the game,
     you may discover that using the mouse wheel to scroll up and down will go backward and forward through the game."
    "If this is your first playthrough, I ask that you please refrain from using this rollback feature until
     you have reached an ending to make it easier to find and track any errors or bugs."
    "The images and dialogue presented in this version are for the beta and will be refined during
     development, but feel free to leave feedback. All opinions are appreciated."
    "To pause, edit options, and save your game, press the escape key."
    "Thanks again for participating, and enjoy!\n - Matt Eschbach, The Maker"
    
    pause .5
    
    scene black with fade
    
    pause .5
    
    t "My name is Trick. Or, that's what I go by. Like a nickname. It's July 7, 1989. And if you're seeing this, then... I'm already dead."

    t "Nah, just kidding!"
    
    scene stair with dissolve
            
    show trick at right
    play music "puzzle1s.ogg" fadein 1.0
    
    t "But seriously, I snuck down here to this taped-off subway station because I wanted to know what's really behind these \"ghost train\" stories I keep hearing about."

    t "The ghost train appears somewhere along the tracks and trips the sensors, just for a second. Then it vanishes without a trace, leaving behind no evidence and no record of its coming."
    
    t "But before I can do anything, I've got to get past this keypad lock."
    
    $ renpy.dynamic("ans")
    $ ans = 0
    
    hide trick with dissolve
    
    #config.imagemap_cache = False
    
#STAIRS IMAGE MAP
    
    screen stair_imagemap:
        imagemap:
            ground "stairs.jpg"
            hover "stairsPad.jpg"
            
            hotspot (340, 7, 150, 218) clicked Return("door")
            hotspot (290, 100, 42, 40) clicked Return("puzzle")
            hotspot (418, 448, 10, 90) clicked Return("hint")
            
    label stair:

        call screen stair_imagemap
    
        $ result = _return
    
        if result == "hint":
            hide pado
            t "Hey, someone wrote something in permanent marker: \"man's best friends.\""
            jump stair
        if result == "puzzle":
            show pado:
                xalign .5 yalign.5
            if ans == "3647":
                t "I already entered the code."
                jump stair
            $ ans = renpy.input("Type 4-digit code", allow="{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}", length=4)
            $ ans = ans.strip( )
            if ans == "3647":
                play sound "correct.ogg"
                t "Sweet, I'm in!"
                jump stair
            elif ans != "3647":
                play sound "wrong.ogg"
                t "This isn't working. I need a new plan."
                jump stair
        if result == "door":
            hide pado
            if ans == "3647":
                play sound "door.ogg"
                jump platform1
            elif ans != "3647":
                t "The door is locked."
            jump stair
            
#SCENE CHANGE FROM STAIRS TO SUBWAY PLATFORM
            
    label platform1:
    
    scene platform with fade
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    t "No subway cars go through this area anymore, so the tracks should be safe enough. But which way should I go?"
    
    menu:
        t "No subway cars go through this area anymore, so the tracks should be safe enough. But which way should I go?"
        "Left":
            jump ToOne
            
        "Right":
            jump fEnc
            
#SCENE CHANGE FROM PLATFORM TO LEFT BRANCH
            
    label ToOne:
        
    play sound "Footsteps.ogg"
    scene trador with fade
    
    t "Aha, there's a door here."
    
# TRACKS1 IMAGE MAP
    
    screen subone_imagemap:
        imagemap:
            ground "TracksDoor.jpg"
            hover "TracksDoorMap.jpg"
            
            hotspot (160, 210, 63, 250) clicked Return("door")
            
    label subone:
        
        call screen subone_imagemap
        
        $ result = _return
        
        if result == "door":
            play sound "door.ogg"
            jump HallOne
            
#SCENE CHANGE TO HALL WHERE MEET FLYNN
            
    label HallOne:
        
    scene haldor with fade
        
    t "Let's see what's down here."
        
    show robin with dissolve
    play music "robin1.ogg" fadeout .5 fadein .5
        
    t "Whoa!"
        
    w "Huh? A kid?"
        
    t "Who're you?"
        
    w "You first."
        
    t "Uh, OK. People call me Trick. I'm here to solve the mystery of the ghost train."
        
    w "That old rumor? People will believe anything these days. Whatever, my name's Flynn."
        
    f "I snuck in here for the fun of it, but it's actually kind of boring. It's quiet and there's a lot of dust."
        
    f "And just so you know, I looked at the control board in the ticket office up ahead; it's completely dead. You won't find any ghost trains using that busted old thing, but you can go look if you want."
        
    t "Maybe I will, just to see it. Laters."
        
    f "Bye."
        
    hide robin with dissolve
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    $ metFly = True
    
#FLYNN HALL IMAGE MAP
        
    screen haldor_imagemap:
        imagemap:
            ground "HallDoor.jpg"
            hover "HallDoorMap.jpg"
                
            hotspot (327, 132, 120, 165) clicked Return("dr")
                
    label haldor:
            
        init python:
        
            config.imagemap_cache = False
            
    call screen haldor_imagemap
            
    $ result =_return
            
    if result == "dr":
        play sound "door.ogg"
        jump office1
        
#SCENE CHANGE TO TICKET OFFICE FIRST TIME
        
    label office1:
        
        scene office with fade
        
        $ news_pick = False
        $ looked = False
        
        screen oma_imagemap:
            modal False
            imagemap:
                ground "TicketO.jpg"
                hover "TicketOM.jpg"
                
                hotspot (325, 148, 150, 78) clicked Return("mach")
                hotspot (0, 538, 800, 62) clicked Return ("back")
                
            imagebutton:
                xpos 150 ypos 350
                idle "paper.png"
                hover "paper.png"
                action [SetVariable("news_pick", True), Jump("oma")]
                
        label oma:
            
        if news_pick:
            play sound "paper.ogg"
            "It's faded and hard to read."
            "Platform 9... shut down indefinitely... disappearances... rumors... police investigation halted..."
            t "Rumors? About the ghost train, I'll bet. Supposedly passengers who accidently board the wrong
               train soon discover that they've been trapped on board, doomed to ride forever with no hope of
               escape. But I never actually heard anything about real disappearances. Weird."
            $ news_pick = False
            $ looked = True
            jump oma
            
        call screen oma_imagemap
    
        $ result = _return
        
        if result == "mach":
            play sound "button.ogg"
            t "Yup, it's dead alright."
            jump oma
            
        if result == "back":
            if looked:
                jump backOn
            elif looked == False:
                t "I shouldn't leave so quickly..."
                jump oma
            
#SCENE CHANGE BACK TO SUBWAY PLATFORM

    label backOn:
        play sound "Footsteps.ogg"
        scene platform with fade
        
        t "Now let's see what's in the other direction."
        
        menu:
            "Go right":
                jump fEnc
            
    label fEnc:
        play sound "Footsteps.ogg"
        scene tracks with fade
        
        t "Man, these go on for a while. What am I saying, of course they do! It's a subway!"
        play sound "traina.ogg"
        pause 1.0
        t "What's that noise? Sounds like -- nah, couldn't be."
        stop music fadeout 1.0
        
        show lights with dissolve:
            xalign .5 yalign .5
            zoom 1.0
            pause 1.0
            linear 2.0 zoom 10.0
        
        play sound "train.ogg"
        t "What the-? {p=1}NOOOOOOO!"
        #pause 1.5
        show white with dissolve
        hide lights
        
        #MAKE THIS NEXT TEXT AUTOMATICALLY SKIP AFTER 1-2 SECONDS
        
        pause 2.0
        
        hide white with dissolve
        $ quick_d = Dissolve (0.2)
        show trick at right with quick_d
        
        t "I'm... alive? But there was a subway train. Right there."
        t "So that means... th-there really is a..."
        #TRICK SCARED FACE
        t "A g-g-ghost traaaaiiinnnnnn..."
        #TRICK COMIC JAW DROP AND EYES
        t "And thank the Maker for that or I'd be slime right now!"
        
        w "Are you OK?"
        
        show melony at left with slow_d
        play music "melony.ogg" fadein 0.5
        
        menu:
            "Huh, a g-ghost? AAAHHHHHHH!!!!!!":
                t "Huh, a g-ghost? AAAHHHHHHH!!!!!!"
                w "... Finished?"
                t "Aaaaahhhhh, yeah I'm done."
                w "(giggle)"
                jump m_con
            "Yeah, I think s-soooo my gosh a ghost!":
                t "Yeah, I think s-soooo my gosh a ghost!"
                t "(She's kinda cute, actually. Just my luck she'd dead.) Sorry, yeah, I'm alright."
                jump m_con
                
        label m_con:
            
            t "My name's Trick."
            w "I'm Melony Laville. What brings you all the way down here, Trick?"
            t "The ghost train. I want to know more about it."
            m "You mean that train that kidnaps people and forces them to ride on it forever?
               I bet that was what came down the tunnel just now."
            t "You saw it too then?"
            m "M-hm. So how do you plan on catching it to learn about it?"
            t "With my amazing puzzle-solving skills! I can solve any puzzle I put my mind to!"
            m "That sounds fun! Mind if I tag along?"
            t "Uh, sure. Why not?"
            m "Great! Lead the way!"
            
            hide melony with dissolve
            
            t "(Man, I just buddied up with a cute ghost girl after being literally ran through by train lights.
               \n...Just to point that out... Though this isn't actually my first encounter with a ghost...)"
            
            hide trick with dissolve
            play music "tunnels.ogg" fadeout .5 fadein .5
            
            screen bo_b:
                
                imagebutton:
                    xalign .5 yalign .5
                    xpos 400 ypos 350
                    idle "uparrow.png"
                    hover "uparrow.png"
                    action [Jump ("nextie")]
                    
            call screen bo_b
            
label nextie:
    play sound "Footsteps.ogg"
    scene tracks with fade
    
label nextc:
    
    screen mel_on:
        
        imagebutton:
            idle "Melony.png"
            hover "Melony.png"
            action [Jump ("melspe_1")]
            
        imagebutton:
                    xalign .5 yalign .5
                    xpos 400 ypos 350
                    idle "uparrow.png"
                    hover "uparrow.png"
                    action [Jump ("circ_bo")]
            
    call screen mel_on
    
label melspe_1:
    
    show melony at left
    
    t "Melony hums a cheerful tune as we go. Her voice is soft and clear. It fits her."
    t "Hey Melony?"
    m "Hmm?"
    t "Do you think you could sing the lyrics for me?"
    m "Oh, I don't know the words, just the notes. I'll sing it for you if I come up with them, though."
    t "Thanks."
    
    hide melony
    
    jump nextc
            
label circ_bo:

    play sound "Footsteps.ogg"
    scene blofor with fade
    
    m "Looks like we can't go either way."
    t "Those tracks look like they can change direction. There might be a way for us to shift them."
    m "Let's see what we can find."
    
#SCENE WITH FIRST CIRCUIT BOARD
        
    screen board_a:
            
        imagebutton:
            xalign .5 yalign .5
            xpos 650 ypos 250
            idle "panel.png"
            hover "panel.png"
            action [Jump ("puz_t")]
                
    call screen board_a

#THIS IS THE CIRCUIT BOARD PUZZLE

    label puz_t:
        
        play music "puzzle1.ogg" fadeout .25 fadein .25
        
        $red_o = False
        $red_t = False
        $blu_o = False
        $blu_t = False
        $yel_o = False
        $yel_t = False
        $gre_o = False
        $gre_t = False
        
        show bordo:
            xalign .5 yalign .5
            xpos 400 ypos 300
        
        screen boma:
            
            imagebutton:
                xpos 234 ypos 137
                idle "BlueOff.png"
                hover "BlueOff.png"
                selected_idle "BlueButton.png"
                selected_hover "BlueButton.png"
                action [SelectedIf(blu_t), Jump("sipr")]
                
            imagebutton:
                xpos 234 ypos 188
                idle "YellowOff.png"
                hover "YellowOff.png"
                selected_idle "YellowButton.png"
                selected_hover "YellowButton.png"
                action [SelectedIf(yel_t), Jump("twpr")]
                
            imagebutton:
                xpos 233 ypos 238
                idle "GreenOff.png"
                hover "GreenOff.png"
                selected_idle "GreenButton.png"
                selected_hover "GreenButton.png"
                action [SelectedIf(gre_o), Jump ("sepr")]
                
            imagebutton:
                xpos 233 ypos 289
                idle "RedOff.png"
                hover "RedOff.png"
                selected_idle "RedButton.png"
                selected_hover "RedButton.png"
                action [SelectedIf(red_o), Jump ("thpr")]
                
            imagebutton:
                xpos 535 ypos 136
                idle "RedOff.png"
                hover "RedOff.png"
                selected_idle "RedButton.png"
                selected_hover "RedButton.png"
                action [SelectedIf(red_t), Jump ("fopr")]
                
            imagebutton:
                xpos 535 ypos 187
                idle "GreenOff.png"
                hover "GreenOff.png"
                selected_idle "GreenButton.png"
                selected_hover "GreenButton.png"
                action [SelectedIf(gre_t), SetVariable("gre_t", True), Jump("solut")]
                
            imagebutton:
                xpos 533 ypos 237
                idle "BlueOff.png"
                hover "BlueOff.png"
                selected_idle "BlueButton.png"
                selected_hover "BlueButton.png"
                action [SelectedIf(blu_o), Jump ("fipr")]
                
            imagebutton:
                xpos 533 ypos 286
                idle "YellowOff.png"
                hover "YellowOff.png"
                selected_idle "YellowButton.png"
                selected_hover "YellowButton.png"
                action [SelectedIf(yel_o), SetVariable("yel_o", True)]
                
            imagebutton:
                ypos 407
                idle "melhint.png"
                hover "melhint.png"
                action [Jump ("give_hint")]
       
label now:
    
    call screen boma
    
label give_hint:
    m "Those colored arrows. Maybe you can use them as a sort of key?"
    jump now

label twpr:
    if yel_o == False:
        jump puz_t
    elif yel_o:
        play sound "button.ogg"
        $ yel_t = True
        jump now
        
label thpr:
    if yel_t == False:
        jump puz_t
    elif yel_t:
        play sound "button.ogg"
        $ red_o = True
        jump now
        
label fopr:
    if red_o == False:
        jump puz_t
    elif red_o:
        play sound "button.ogg"
        $ red_t = True
        jump now
        
label fipr:
    if red_t == False:
        jump puz_t
    elif red_t:
        play sound "button.ogg"
        $ blu_o = True
        jump now
        
label sipr:
    if blu_o == False:
        jump puz_t
    elif blu_o:
        play sound "button.ogg"
        $ blu_t = True
        jump now
        
label sepr:
    if blu_t == False:
        jump puz_t
    elif blu_t:
        play sound "button.ogg"
        $ gre_o = True
        jump now

label solut:
    if yel_o:
        if yel_t:
            if red_o:
                if red_t:
                    if blu_o:
                        if blu_t:
                            if gre_o:
                                if gre_t:
                                    jump andnow
    jump puz_t
        
label andnow:
    
    play sound "trackswitch.ogg"
    t "There, that should do it."
    scene tracover with fade
    play music "tunnels.ogg" fadeout .25 fadein .25
    
    t "Yes, we can cross!"
    m "Are you sure? Looks risky."
    t "No sweat. I can do it easy."
    
    screen cross:
        imagebutton:
            xalign .5 yalign .5
            xpos 300 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("yay")]
    call screen cross
    
label yay:
    play sound "Footsteps.ogg"
    scene tleft with fade
    play sound "trackswitch.ogg"
    
    m "Oh no! Trick, look behind us!"
    t "What! The tracks moved on their own! We can't get back now!"
    m "Then we go forward. Right?"
    t "Right. (Man, this girl's unshakable. I'm glad she's with me;
       I'd hate to be stuck down here alone.)"
    
label yayc:
    
    screen proceed:
        imagebutton:
            xalign .5 yalign .5
            xpos 200 ypos 350
            idle "larrow.png"
            hover "larrow.png"
            action [Jump ("flynn_two")]
            
        imagebutton:
            xpos 500
            idle "Melony.png"
            hover "Melony.png"
            action [Jump ("melspe_2")]
    call screen proceed

label melspe_2:
    
    show melony at right
    
    m "Don't you worry about a thing, Trick. I'll protect you!"
    t "That's great, but how do you plan on doing that when you're a ghost?"
    m "Uh... working on it."
    t "Riiight."
    
    hide melony
    
    jump yayc

label flynn_two:
    play sound "Footsteps.ogg"
    scene tracks with fade
    
    show robin
    play music "robin2.ogg" fadeout .5 fadein .5
    
    if metFly:
        t "Hey, it's Flynn! Yo!"
        m "You know him?"
        t "Yeah, I met him a while earlier."
        f "Trick, who are you talking to?"
        t "Uh, no one. Sorry."
        m "Looks like he can't see or hear me."
    elif not metFly:
        t "Hey, someone's here."
        w "Huh? A kid?"
        t "Yo. Name's Trick. Who're you?"
        w "I'm Flynn."
        f "What are you doing down here on your own, anyway?"
        m "On your own? I guess he can't see me."
        t "I'm hunting the ghost train."
        f "That silly rumor? Good luck with that."
        
    t "Man, you won't believe what happened to me back there on the tracks!"
    f "I heard someone shouting, but that's about it. I thought maybe someone 
       was following me down this tunnel, so I came to see."
    t "Really? You didn't hear anything besides me? Weird."
    
    show melony at left with dissolve
    
    m "Psst, hey Flynn. Blehlehlehlehleh!"
    t "(snort) Melony, cut it out!"
    f "... Uh, anyway. I'm gonna explore a bit, so I'll see you later maybe."
    t "Oh. OK, bye."
    
    hide robin with dissolve
    play music "tunnels.ogg" fadeout .5 fadein .5
    show trick at right with dissolve
    
    m "Hey, wait. If the tracks were going the other way before, then how did he
       get here? He obviously came from the same direction we did."
    t "Yeah, I noticed that. Something tells me there's more to Flynn than he's
       letting on."
    m "I want to know why he couldn't see me when you could."
    t "Good question. Actually, I've been wondering something. About you, I mean."
    m "Hm? What?"
    t "Would you mind telling me... how you died, and how you came to be down here?"
    m "Oh.{p=.5}To be honest, I don't know. I've forgotten most of what my life was
       like, especially towards the end. But I do know it was violent..."
    t "I'm sorry. (I hope I didn't upset her.)"
    m "No big deal. Shall we get going?"
    t "Let's do it."
    
    hide melony with dissolve
    hide trick with dissolve
    
    screen onward:
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("onward_two")]
            
    call screen onward

label onward_two:
    play sound "Footsteps.ogg"
    scene tracks with fade
    
label onwardc:
    
    screen go_on:
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("onward_three")]
            
        imagebutton:
            idle "Melony.png"
            hover "Melony.png"
            action [Jump ("melspe_3")]
            
    call screen go_on
    
label melspe_3:
    
    show melony at left
    
    t "Say, I just thought of something."
    m "What?"
    t "People need diaphrams to speak, right? So how can ghosts produce sound to make words with?"
    m "Same way we can manifest visually and stuff: by using our own electromagnetic fields to manipulate waves and energy."
    t "Ah. Simple."
    
    hide melony
    
    jump onwardc
    
label onward_three:
    play sound "Footsteps.ogg"
    scene trackend with fade
    
    m "A dead end."
    t "Yeah, but where did Flynn go? There's no way past that rubble."
    m "There has to be. Let's look around carefully."
    
    screen wall_sec:
        
        imagemap:
            ground "TracksEnd2.jpg"
            hover "TracksEnd2.jpg"
            
            hotspot (545, 300, 170, 205) clicked Return ("wall")
        
    call screen wall_sec
    $ result =_return
        
    if result == "wall":
        play sound "crumble.ogg"
        jump crumble
            
label crumble:
    
    scene showhidden with fade
    
    m "Hey, that wall section fell in!"
    t "Guess we know where Flynn went. But why'd he seal it back up?"
    m "Let's catch up to him and ask."
    
    screen go_through:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 600 ypos 350
            idle "rarrow.png"
            hover "rarrow.png"
            action [Jump ("first_train")]
            
    call screen go_through
        
label first_train:
    play sound "Footsteps.ogg"
    scene traintunnel with fade
    t "Hey, there's a train car on the next track section ahead."
    m "Is that the ghost train?"
    t "No, I think it's just an old rundown one that got left here."
    m "Looks like it's been pushed up against the tunnel. Don't think we can squeeze around it."
    t "Maybe we can go through it."
    
    screen tocar:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("incar")]
            
    call screen tocar
    
label incar:
    play sound "Footsteps.ogg"
    scene incar with fade
    play music "puzzle1.ogg" fadeout .5 fadein .5
    $ aluone = False
    $ alutwo = False
    $ aluthr = False
    $ alufou = False
    
    m "Whoa, what a mess!"
    t "Let's see..."
    pause .5
    t "Dang, the door's stuck shut!"
    m "Wait, look. The door's power cable is damaged."
    t "Guess we'll have to find something to patch it with."
    
label carpuz:
    
    screen alu:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 110 ypos 445
            idle "aluminum.png"
            hover "aluminum.png"
            selected_idle "empty.png"
            selected_hover "empty.png"
            action [SelectedIf(aluone), SetVariable("aluone", True), Jump ("solv")]
            
        imagebutton:
            xalign .5 yalign .5
            xpos 775 ypos 365
            idle "aluminum.png"
            hover "aluminum.png"
            selected_idle "empty.png"
            selected_hover "empty.png"
            action [SelectedIf(alutwo), SetVariable("alutwo", True), Jump ("solv")]
            
        imagebutton:
            xalign .5 yalign .5
            xpos 290 ypos 580
            idle "aluminum.png"
            hover "aluminum.png"
            selected_idle "empty.png"
            selected_hover "empty.png"
            action [SelectedIf(aluthr), SetVariable("aluthr", True), Jump ("solv")]
            
        imagebutton:
            xalign .5 yalign .5
            xpos 620 ypos 470
            idle "aluminum.png"
            hover "aluminum.png"
            selected_idle "empty.png"
            selected_hover "empty.png"
            action [SelectedIf(alufou), SetVariable("alufou", True), Jump ("solv")]
        
    call screen alu
    
label solv:
    
    if aluone:
        play sound "foil.ogg"
        show alum:
            xpos 245 ypos 0
    if alutwo:
        play sound "foil.ogg"
        show alum2:
            xpos 245 ypos 25
    if aluthr:
        play sound "foil.ogg"
        show alum3:
            xpos 245 ypos 45
    if alufou:
        play sound "foil.ogg"
        show alum4:
            xpos 245 ypos 65
    if aluone:
        if alutwo:
            if aluthr:
                if alufou:
                    jump doropen
    jump carpuz
    
label doropen:
    
    t "Alright, the door's unlocked."
    m "Well, if this whole ghost train thing doesn't work out, you'd make a great electrician."
    t "I actually considered doing that once..."
    
    screen outcar:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 450
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("track_again")]
            
    call screen outcar
    
label track_again:
    play sound "Footsteps.ogg"
    scene tracks with fade
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    show trick at right with dissolve
    show melony at left with dissolve
    m "Say, Trick?"
    t "Yeah?"
    m "Remember a little while ago when you asked me about my life?"
    t "Did you recall something?"
    m "Yes. I used to have a heart-shaped necklace that I wore everywhere. But I think I lost it somewhere."
    t "You mean down here in the subway?"
    m "I don't know. Maybe. Do you think we could look for it while we chase the ghost train?"
    t "Sure, I don't see why not."
    m "Thank you. That necklace was--is--really important to me."
    
    play sound "train.ogg"
    pause 2.5
    
    t "What the-"
    m "Trick, that old subway car just took off on its own!"
    t "What is going on in this place?"
    m "Something had to make it move! What if that car is connected to the ghost train somehow?"
    t "I don't see any other way it could have taken off like that. Let's follow it!"
    
    hide trick with dissolve
    hide melony with dissolve
    
    screen afterit:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("chase1")]

    call screen afterit
    
label chase1:
    play sound "Footsteps.ogg"
    scene tright with fade
    
    screen after2:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 600 ypos 300
            idle "rarrow.png"
            hover "rarrow.png"
            action [Jump ("chase2")]
            
    call screen after2
    
label chase2:
    play sound "Footsteps.ogg"
    scene tracks with fade
    
    show melony at left
    
    m "Stop."
    show trick at right with dissolve
    play music "melony.ogg" fadeout .5 fadein .5
    t "What is it?"
    m "I... feel something."
    t "Feel what?"
    m "I'm not sure. But it's through that wall. Somehow I know it, whatever it is."
    t "Could it be the ghost train? How can you be so sure?"
    m "..."
    m "I don't have any answers for you, Trick. I'm still trying to figure this out myself."
    m "I don't have a clue who I was in life or why I'm down here in this old subway now, or
       what this feeling inside me is. All I know is that I have to follow it."
    t "But it's a solid wall."
    m "I'm a ghost. Walls aren't a problem, remember?"
    t "So... you're leaving? We just barely met."
    m "I'm sorry. But I have to know what it is that's calling to me."
    t "But what if it's... what if it's something bad?"
    m "I have to take that chance. I'm glad to have met you, Trick. It was really fun solving all
       those puzzles and stuff with you. Promise me you'll be careful, OK? Maybe we'll meet up again
       sometime."
    t "..."
    t "OK. I promise."
    m "Goodbye, Trick."
    hide melony with dissolve
    pause .5
    play music "tunnels.ogg" fadeout .5 fadein .5
    t "So. Just me again."
    pause 1.0
    t "..."
    hide trick with dissolve
    
    screen then:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("poster")]
            
    call screen then
    
label poster:
    play sound "Footsteps.ogg"
    scene tracks with fade
    show trick
    
    t "I might never catch that train car at this rate. I need a plan or something."
    hide trick
    
    screen posterf:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 260 ypos 400
            idle "wanted.png"
            hover "wanted.png"
            action [Jump ("found")]
            
    call screen posterf
    
label found:
    
    play sound "paper.ogg"
    show wanted:
        xalign .5
        ypos 80
    
    t "No way! This wanted poster is-"
    w "Dang. I knew this was gong to happen."
    
    hide wanted with dissolve
    
    show robin with dissolve
    play music "robin3.ogg" fadeout .5 fadein .5
    
    t "So it's you, Flynn. Or should I say, the famous thief Robin Banks!"
    r "Correct. Losing you in these tunnels was no hard feat, but I figured your preoccupation
       with the ghost train wold lead to you finding me out. I left you alone, hoping you'd give
       up before that happened, but no such luck."
    t "Ulp..."
    r "Unfortunately, I can't afford to ignore you any longer."
    t "W-wait! I'm just looking for the ghost train, like you said! I won't tell anyone you're here,
       I swear!"
    r "Even so, if I let you keep running around, you're bound to stumble on to other things
       you're not meant to know about. Sorry, but I'm going to have to put a stop to it."
    t "(Oh no. He's serious! I'm alone down here with a wanted criminal! There's no telling what
       he's going to do!)"
    t "N-no, please!"
    r "Relax. I won't hurt you. But I can't let you leave, either. You'll have to stay in confinement
       down here until I've done what I want to do."
    t "No way! That's kidnapping!"
    r "True. And I'm a thief, not a kidnapper."
    pause 1
    r "Tell you what. If you can beat me in a game of riddles, I'll let you go this time.
       {w} But only this time."
    t "Why riddles?"
    r "Well, simply because we both like them. I'll take you at your word not to tell anyone I'm 
       down here, and I don't particularly want to lock you up. So I'm giving you a chance."
    t "(A riddle game. I guess Robin Banks likes puzzles as much as I do.)
       {w} OK then, let's do it."
    $ config.rollback_enabled = False
    
    hide robin
    show robin:
        xpos 200
        linear 1 xpos 450
    pause 1.5
    show trick with dissolve:
        xpos -50
        xzoom -1
        linear 1
        
    $ score = 0
    $ wrong = 0
    $ tot = 0
    
    r "First one.\nGo left four times, right three, and forward two. Which direction are you facing?"
    
    menu:
        "Which direction are you facing..."
        
        "Forward":
            t "Forward. You turn left, then right, so you face the same way you started."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "Right":
            t "Right. It's the last way you actually turn in."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "Left":
            t "Left. One full circle, then three-fourths."
            $ score = score + 1
            play sound "correct.ogg"
            r "Correct."
    
    r "Next.\nWhat creature walks on four legs in the morning, two in the afternoon, and three
       in the evening?"
    
    menu:
        "Four legs in morning, two in afternoon, and three in evening..."
        "A monkey":
            t "A monkey. They can walk on all fours and upright, so three legs works too."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "Man":
            t "Ah, you mean man. The times of day are stages of life; four legs in infancy, two in adulthood, and 
               a cane in old age."
            $ score = score + 1
            play sound "correct.ogg"
            r "Correct."
            
        "An octopus":
            t "An octopus. If you add the four legs, two legs, and three legs together, it makes--
               wait, nine legs. Oops!"
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
    
    r "Number three.\nWhat...{w} is the capital of Aseria?"
    
    menu:
        "The capital of Aseria..."
        "Constantinopal":
            t "Constantinopal. (That's a blind guess.)"
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "Blue--no, yellow!":
            t "Blue--no, yellow!"
            $ score = score + 1
            play sound "correct.ogg"
            r "You know what, I'm going to count that!"
            t "Sweet!"
            
        "Nineveh":
            t "The capital of Aseria is Nineveh."
            $ score = score + 1
            play sound "correct.ogg"
            r "Correct."
    
    r "Halfway done after this.\nYou are in a sealed room with three men. One is blind and hears no evil. One is deaf
       and speaks no evil. One is mute and sees no evil. Only one person in the room is trustworthy. Who is it?"
    
    menu:
        "One blind and hears no evil, one deaf and speaks no evil, one mute and hears no evil. Who to trust..."
        "The blind man":
            t "The blind man. He hears no evil and sees none either, so he isn't influenced by it."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "The deaf man":
            t "The deaf man. He neither hears nor speaks evil, but he can see and avoid it."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "The mute man":
            t "The mute man. He doesn't speak or see evil, so he can't lie about what he does see."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "None of them":
            t "None of them. I can only trust myself."
            $ score = score + 1
            play sound "correct.ogg"
            r "Correct."
            
    r "This is the fifth question.\nIf all glogs are krogs and some krogs are shogs, how many glogs are shogs?"
    
    menu:
        "How many glogs are shogs..."
        
        "Only some":
            t "Only some, because not all krogs are shogs."
            $ score = score + 1
            play sound "correct.ogg"
            r "Correct."
            
        "Can't tell":
            t "You can't tell with the given info, because all grogs might be shogs too."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "None":
            t "None; there's no such things as any of those!"
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "All of them":
            t "All of them, since all krogs that are shogs are also glogs as well."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
    r "Almost done.\nEach time you fold a paper in half, which of its properties is doubled?"
    
    menu:
        "Which property is doubled..."
        
        "Nothing":
            t "Nothing. The volume is halved, not doubled."
            $ score = score + 1
            play sound "correct.ogg"
            r "Correct."
        
        "Mass":
            t "The mass, because it's folded in on itself."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "Weight":
            t "Weight, since it's the same size over less area."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
        "Area":
            t "The area; the height is doubled."
            play sound "wrong.ogg"
            r "Wrong."
            $ wrong += 1
            
    r "Last question.\nI hope you've been keeping track, because the riddle is: how many answers
       have you gotten right up to now?"
    
    $ ans = renpy.input("Right answers...", allow="{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}", length=1)
    $ ans = ans.strip()
    
    if ans == "0":
        if score == 0:
            play sound "correct.ogg"
            r "Correct."
            $ score += 1
            jump puz_end
    if ans == "1":
        if score == 1:
            play sound "correct.ogg"
            r "Correct."
            $ score += 1
            jump puz_end
    if ans == "2":
        if score == 2:
            play sound "correct.ogg"
            r "Correct."
            $ score += 1
            jump puz_end
    if ans == "3":
        if score == 3:
            play sound "correct.ogg"
            r "Correct."
            $ score += 1
            jump puz_end
    if ans == "4":
        if score == 4:
            play sound "correct.ogg"
            r "Correct."
            $ score += 1
            jump puz_end
    if ans == "5":
        if score == 5:
            play sound "correct.ogg"
            r "Correct."
            $ score += 1
            jump puz_end
    if ans == "6":
        if score == 6:
            play sound "correct.ogg"
            r "Correct."
            $ score += 1
            jump puz_end
    play sound "wrong.ogg"
    r "Wrong."
    jump puz_end
    
label puz_end:
    
    if score >= 4:
        r "Your final score is [score] out of 7. Congratulations, you win."
        t "All right! I did it!"
        r "So you did. Very well then, I'm a man of my word. Just remember: next time I won't be as lenient."
        
        hide robin with dissolve
        hide trick
        show trick:
            xpos -50
            linear 1 xpos 200
            
        t "Whew, glad that's over. Now, after that train car!"
        jump one_over
    elif score < 4:
        r "Your final score is [score] out of 7. Sorry, you lose."
        t "Oh no!"
        r "And that's that. You're coming with me!"
        t "Nooooooo!"
        jump game_over1
        
label one_over:
    
    scene black with fade
    stop music fadeout 1.0
    pause 1.0
    
    "CHAPTER TWO"
    jump twostart
    
return

label game_over1:
    
    scene black with fade
    stop music fadeout 1.0
    pause 1.0
    
    t "And that's how it ends. The last thing I remember is blacking out. When I came to,
       I was at the steps at the entrance of the subway."
    t "I can only assume Robin Banks got what he wanted. As for me, I walked home in a daze."
    t "Part of me feels like it was all a dream. And maybe it was. When I tried the code to the
       keypad to get back in, the one I'd entered before didn't work."
    t "But what about Melony Laville? Did she find her necklace? Or did I dream up all that, too?"
    t "I guess I'll never know the truth. About any of it..."
    "G A M E  O V E R"
    
return
