
label twostart:
    
    $ have_pendant = False
    $ config.rollback_enabled = True
    $ renpy.block_rollback()
    scene tracks with fade
    play music "tunnels.ogg" fadein 1.0
    
    screen onnow:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("athole")]
            
    call screen onnow
    
label athole:

    scene shaftop with fade
    
    t "Huh. The tracks are bending into that crevice like a ramp.
       But there couldn't possibly be anything down there... could there?
       I suppose I could climb down and have a quick look."
    
    screen godown:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("inshaft")]
            
    call screen godown
    
label inshaft:

    scene shaft with fade
    
    screen climbdown:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("hub_one")]
            
    call screen climbdown
    
label hub_one:

    scene hub with fade
    #lower tunnel theme
    
    t "Say what? How could there be a subway under a subway?
       And which direction am I supposed to go now?"
    
    menu:
        "Left":
            jump ToWall
            
        "Right":
            jump grim_one
            
label ToWall:

    scene dead with fade
    
    t "This is making less and less sense. This tunnel has tracks and it
       ends at a cement wall!"
    
    screen goback:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("hub_two")]
            
    call screen goback
    
label hub_two:

    scene hub with fade
    
    if metFly:
        t "This situation seems familiar."
        menu:
            "Right":
                jump grim_one
    elif not metFly:
        t "Only one way from here."
        menu:
            "Right":
                jump grim_one
                
label grim_one:

    scene trackd with fade
    
    t "Oh man. The temperature just took a nose-dive."
    
    pause 1.0
    
    show jack with slow_dissolve:
        xpos 100 ypos 400
        linear 5.0 ypos 0
        #jack's theme
        
    pause 0.5
    
    w "\'\Sup."
    menu:
        "Aaaaahhhhhhhh!!!!!!!!":
            t "Aaaaahhhhhhhh!!!!!!!!"
            w "...Finished?"
            t "Yeah, I'm good."
        "Yo.":
            t "Yo."
    
    w "Name's Jack. Jack the Reaper."
    t "Trick. Trick the Riddle Detective."
    j "Cool. You with those other two people?"
    t "Two? I've seen Robin Banks but not anyone else."
    j "Oh yeah? Eh, whatever, dude. \'S\ prob'ly not important. By the way,
       you're pretty chill, just standin' here talkin' with a grim reaper
       an' all."
    t "You're not my first ghost."
    j "Ah, that makes sense. Well, I got stuff to do, so I'll check ya later.
       Keep an eye out for that other person, could be trouble."
    t "Sure. Bye."
    
    hide jack with dissolve
    #lower tunnel theme
    t "Well at least I know it's not my time yet."
    
    screen ag:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("atwall")]
            
    call screen ag
    
label atwall:

    scene dead with fade
    
    t "Seriously? Hey wait, this wall looks newer than the rest of this tunnel. Hmm...
       Might be a hidden switch somewhere..."
    
    screen wallmap_a:
    
        imagemap:
            ground "deadend.jpg"
            hover "deadmap1.jpg"
            
            hotspot (258, 211, 18, 42) clicked Return("latch")
            
    call screen wallmap_a
    
    $ result = _return
    
    if result == "latch":
        play sound "button.ogg"
        play sound "crumble.ogg"
        jump pastwall
        
label pastwall:

    scene trackd with fade
    
    t "Yeah! That's what I'm talking about!"
    
    screen tolatch_two:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("atwalltwo")]
            
    call screen tolatch_two
    
label atwalltwo:

    scene dead with fade
    
    t "What, again?"
    $ cl1 = False
    $ cl2 = False
    $ cl3 = False
    $ cl4 = False
    
label map_2:
    
    screen wallmap_b:
    
        imagemap:
            ground "deadend.jpg"
            hover "deadmap2.jpg"
            
            hotspot (258, 211, 18, 42) clicked Return("latch1")
            hotspot (65, 352, 18, 42) clicked Return("latch2")
            hotspot (548, 309, 18, 42) clicked Return("latch3")
            hotspot (644, 112, 18, 42) clicked Return("latch4")
            
    call screen wallmap_b
            
    $ result = _return
    
    if result == "latch1":
        play sound "button.ogg"
        if not cl1:
            t "Looks like there's more than one switch this time."
        $ cl1 = True
        #jump map_2
        
    if result == "latch2":
        play sound "button.ogg"
        $ cl2 = True
        #jump map_2
        
    if result == "latch3":
        play sound "button.ogg"
        $ cl3 = True
        #jump map_2
        
    if result == "latch4":
        play sound "button.ogg"
        $ cl4 = True
        #jump map_2
        
    if cl1:
        if cl2:
            if cl3:
                if cl4:
                    play sound "crumble.ogg"
                    jump solved_b
    jump map_2
                    
label solved_b:

    scene trackd with fade
    
    t "Booyah."
    
    screen booyah:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("reunite")]
            
    call screen booyah
    
label reunite:

    scene trackd with fade
    show melony
    
    pause 1.0
    play music "melony.ogg" fadeout .5 fadein .5
    t "MELONY!"
    m "Eep! Oh, Trick! Don't scare me like that!"
    t "I scared a ghost. How many people can make that claim?"
    m "Tee hee. Any luck finding that train?"
    t "No, it's vanished."
    m "Too bad. No luck on my end, either."
    t "You mean on finding your pendant?"
    m "Yeah. I remembered something about myself, though, after I
       found my way down here."
    t "What?"
    m "I think it has to do with why this subway system was shut down.
       I was on a train when part of the underground collapsed.
       My death was pretty violent. When I saw the rooms down here, I
       felt like I was going to cry. This might be where... where it happened..."
    t "I'm sorry."
    m "Don't worry. I'll be alright. I just wish I could find my pendant."
    t "You think it'll bring all your memories back?"
    m "I don't know, but it's the only link to my life I have. And I can't seem
       to pass on yet, so I don't have much of a choice. It's gotta be down here.
       I'm sure the train I was on fell down here from the tracks above."
    t "I hope so. Hey, do you wanna team up again? See if we can help each other?"
    m "Hmm. Sure, why not?"
    t "Woohoo!"
    m "Ha ha ha!"
    
    hide melony with dissolve
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    t "(I know it hasn't been that long since we were together, but I still missed her.
       It just occurred to me that the ghost train might actually be a ghost itself, and
       not a train at all. And if so, it may be connected to the accident Melony mentioned.
       Her pendant may even be on that ghost train!)"
    
    screen withmel:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("direct_z")]
            
    call screen withmel
    
label direct_z:
    play music "puzzle1s.ogg" fadeout .5 fadein.5
    
label direct_b:

    scene arrowa with fade
    
    $ left_c = False
    $ down_c = False
    $ up_c = False
    $ right_c = False
    
label direct_f:
    
    screen direct_one:
    
        imagemap:
            ground "TracksDirections.jpg"
            hover "TracksDirectionsMap.jpg"
            
            hotspot (0, 0, 800, 81) clicked Return("up")
            hotspot (0, 83, 74, 443) clicked Return("left")
            hotspot (0, 528, 800, 72) clicked Return("down")
            hotspot (718, 83, 82, 443) clicked Return("right")
            
            imagebutton:
                xpos 130 ypos 100
                idle "MelonySmall.png"
                hover "MelonySmall.png"
                action [Jump ("melspe_11")]
                
            imagebutton:
                xalign .5 yalign .5
                xpos 400 ypos 350
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("direct_b")]
                
    call screen direct_one
    
    $ result = _return
    
    if result == "left":
        if left_c == False:
            $ left_c = True
            play sound "correct.ogg"
        elif left_c == True:
            play sound "wrong.ogg"
            jump direct_b
        
    if result == "down":
        if left_c:
            $ down_c = True
            play sound "correct.ogg"
        elif not left_c:
            play sound "wrong.ogg"
            jump direct_b
            
    if result == "up":
        if down_c:
            $ up_c = True
            play sound "correct.ogg"
        elif not down_c:
            play sound "wrong.ogg"
            jump direct_b
            
    if result == "right":
        if up_c:
            play sound "correct.ogg"
            jump direction_two
        elif not up_c:
            play sound "wrong.ogg"
            jump direct_b
            
    jump direct_f
    
label melspe_11:
    
    m "What are those markings drawn on the ground?"
    jump direct_f

label direction_two:

    scene trackd with fade
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    t "That was easy. (What was that, some sort of spatial distortion? How...?)"
    
    screen between:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("direct_x")]
            
    call screen between

label direct_x:
    play music "puzzle1s.ogg" fadeout .5 fadein .5

label direct_d:

    scene trackm with fade
        
    t "More arrows, in a mirror this time."
    jump direct_c
    
label refade:
    
    scene trackm with fade
    show melony:
        xpos 130
    
label direct_c:
    
    $ left_1 = False
    $ down_1 = False
    $ down_2 = False
    $ up_1 = False
    $ up_2 = False
    $ right_1 = False
    $ left_2 = False
    
label direct_s:

    screen direct_two:
    
        imagemap:
            ground "TracksMirror.jpg"
            hover "TracksDirectionsMap2.jpg"
            
            hotspot (0, 0, 800, 81) clicked Return("up")
            hotspot (0, 83, 74, 443) clicked Return("left")
            hotspot (0, 528, 800, 72) clicked Return("down")
            hotspot (718, 83, 82, 443) clicked Return("right")
            
        imagebutton:
                xpos 130 ypos 100
                idle "MelonySmall.png"
                hover "MelonySmall.png"
                action [Jump ("melspe_12")]
                
        imagebutton:
                xalign .5 yalign .5
                xpos 400 ypos 350
                idle "uparrow.png"
                hover "uparrow.png"
                action [Jump ("refade")]
                
    call screen direct_two
    
    $ result = _return
    
    if result == "up":
        if not up_1:
            $ up_1 = True
            play sound "correct.ogg"
        elif up_1:
            if left_2:
                $ up_2 = True
                play sound "correct.ogg"
            elif not left_2:
                play sound "wrong.ogg"
                jump refade
                
    if result == "down":
        if not down_1:
            if up_1:
                $ down_1 = True
                play sound "correct.ogg"
            elif not up_1:
                play sound "wrong.ogg"
                jump refade
        elif down_1:
            if up_2:
                play sound "correct.ogg"
                jump robin_four
            elif not up_2:
                play sound "wrong.ogg"
                jump refade
                
    if result == "left":
        if not left_1:
            if down_1:
                $ left_1 = True
                play sound "correct.ogg"
            elif not down_1:
                play sound "wrong.ogg"
                jump refade
        elif left_1:
            if right_1:
                $ left_2 = True
                play sound "correct.ogg"
            elif not right_1:
                play sound "wrong.ogg"
                jump refade
                
    if result == "right":
        if left_1:
            $ right_1 = True
            play sound "correct.ogg"
        elif not left_1:
            play sound "wrong.ogg"
            jump refade
            
    jump direct_s
    
label melspe_12:

    m "Remember, left and right are backwards in a mirror."
    jump direct_s
    
label robin_four:

    scene trackd with fade
    play music "tunnels.ogg" fadeout .5 fadein .5
    show melony with dissolve
    
    t "That was easy."
    t "And I don't care how hard it was! I say it was easy!"
    m "Sir yes sir!"
    
    w "I thought I heard you talking. So you found your way down here after all."
    
    show melony:
        xpos 400
        linear 1.0 xpos 100
    pause 1.0
    show robin with dissolve
    play music "robin3.ogg" fadeout .5 fadein .5
    
    t "Robin Banks!"
    r "The same."
    m "I saw that name on a poster. Is he a thief?"
    r "You really shouldn't be down here, Trick. I kept my word last time, but
       in return I hope you'll stay out of my way."
    t "Look, I told you. I'm not trying to interfere with you."
    r "I understand that, but there's a chance you may end up doing so unintentionally.
       Although, I guess it's alright if you're headed in this direction."
    t "Speaking of, what's with all these weird arrows?"
    r "Those? They're instructions. And they're not meant for you, so leave them alone
       if you don't mind."
    t "But I can't get through here without following them. I tried and I just ended up
       right back where I started."
    r "Huh? That doesn't make sense."
    t "It's true, I swear."
    r "... Well, either way, I guess I can let it go for now. But do me a favor and find
       a different way back up besides the way you came down. There are a few, so use one
       of them."
    t "Uh, okay. Sure."
    pause .5
    t "By the way..."
    r "Yeah?"
    t "Why are you interested in the ghost train?"
    r "What!"
    t "There's no other reason you'd be down here, aside from hiding out. And you're
       definitely not doing that."
    r "Kid, you really are too clever for your own good."
    t "I, uh..."
    m "Trick, we should get out of here."
    r "OK, I admit it. I am looking for the ghost train. I want to tame it."
    t "Tame it?"
    m "What does he mean?"
    t "What do you mean?"
    r "Kind of like you have a way with puzzles, I have a way with equipment. I think
       of technology and machines like living animals; you have to know how to handle it,
       get it to trust you."
    r "Sounds crazy, I know, but it works. At least for me. I've always had a knack
       for getting technology to do what I want it to, as if it were a trained animal."
    t "Weird."
    t "HOLY COW! That means if you can control the ghost train-!"
    m "He'll be unstoppable!"
    r "So since you're intent on finding the train yourself, that makes us rivals.
       I'll leave you here and go my own way. I know all the secret passages down here,
       so there's no way you'll beat me."
    t "Wait, one last question! How is all of this down here in the first place?"
    r "It's a little known fact that the abandoned subway above us was built over a
       dried aqueduct system. The water got about waist high and people made these
       tunnels to control the flow."
    r "The tracks were added after it all dried up, but they soon discovered having a
       subway this far underground wasn't practical. So they built a second one higher
       up."
    t "I see. Never would have imagined that kind of water system existed."
    r "It was mostly experimental. Proved rather frivolous, actually."
    r "And with that, my ghost train awaits!"
    
    hide robin with dissolve
    play music "tunnels.ogg" fadeout .5 fadein .5
    show melony:
        xpos 100
        linear 1.0 xpos 400
        
    m "That was interesting. So the train I was on fell down into this dried aqueduct.
       Trick, if we can find the wreckage, maybe we can find my pendant!"
    t "And I might find a clue about the ghost train! Dang, I bet Robin already knows
       all about the thing."
    m "Then let's cut a corner and go after him rather than walk around aimlessly."
    t "I don't know. He went back the way we came after telling me not to. And if he's
       already seen the wreck, I don't think he'd go back to see it again."
    m "Well, it's up to you."
    
    menu:
        t "(Shoot, which way do I go?)"
        "Forward":
            jump gate
        "Back":
            jump linda_one
            
label gate:

    scene gate with fade
    
    m "What's that giant door?"
    t "Maybe a kind of floodgate from when the aqueduct was filled?"
    m "Let's see if we can open it!"
    t "(That keypad is similar to the one at the entrance. What was the code, something about 
       man's best friends?)"
    
    $ entry = 0
    play music "puzzle1.ogg" fadeout .5 fadein .5
    
label g_map:
    
    screen gate_code:
        
        imagemap:
            ground "gate.jpg"
            hover "gatemap.jpg"
            
            hotspot (64, 314, 40, 60) clicked Return("code")
            hotspot (114, 122, 127, 378) clicked Return("gate")
            
        imagebutton:
            xalign .5 yalign .5
            xpos 277 ypos 385
            idle "hint.png"
            hover "hint.png"
            action [Jump("read_hint")]
            
    call screen gate_code
    
    $ result = _return
    
    if result == "code":
        if entry == "sesame":
            m "It's already open, isn't it?"
        $ entry = renpy.input("Type 6 letter code", exclude="{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}", length=6)
        $ entry = entry.strip( )
        if entry == "sesame":
            play sound "correct.ogg"
            m "Open sesame!"
            t "No, open says me!"
            jump g_map
        if entry == "dogs":
            play sound "wrong.ogg"
            m "Why did you enter that?"
            t "The keypad that got me into the subway had that as a code. But in numbers."
            jump g_map
            
    if result == "gate":
        if entry == "sesame":
            jump site
        elif entry != "sesame":
            t "Yeah, I don't think I can turn into the Hulk and rip it out..."
            jump g_map

label read_hint:
    
    show syn:
        xalign .5
        ypos 80
    
    t "It's a note for the gate code. \'Find synonyms for each word listed. Then take
       the first letter of each synonym, in order, and they spell out the code."
    t "1. Septuple \n2. Santa's helpers \n3. Chant (as in music, a verb) \n4. A (no synonym needed)
       \n5. Happy \n6. Dirge (a funeral song)"
    m "Pardon me while my head explodes."
    t "We find words that mean the same, and if we have the right ones, the first letters of
       each synonym spell the code."
    hide syn
    jump g_map
    
label site:
    
    scene crash with fade
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    m "-Gasp!-"
    t "What is it?"
    m "I just felt a sharp jolt. This is--this is--where I died..."
    t "Hey, come on, now. It's done and over with. Just think: your pendant is here for sure.
       You've all but found it at last!"
    m "You're right. It's got to be here."
    
    screen pendant:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 610 ypos 460
            idle "pendant.png"
            hover "pendant.png"
            action [Jump ("found_pendant")]
            
    call screen pendant
    
label found_pendant:
    
    $ have_pendant = True
    show melony at center
    play music "melony.ogg" fadeout .5 fadein .5
    m "THAT'S IT! YYEEEEE, THAT'S MY PENDANT! YOU FOUND IT, YOU FOUND IT!"
    t "See, it was here all along."
    m "Oh, thank you! Thank you thank you thank you! Come here!"
    t "Ouch, Melony... squeezing... can't breathe..."
    m "Sorry. I'm just so happy!"
    t "Wait, hold on. You just hugged me! You actually, physically hugged me!"
    m "I-I did! How did I do that?"
    t "Well, I've heard some items can give ghosts power, if they mean enough to them. 
       Like your pendant keeping you Earthbound."
    m "Is that so? Anyway, you have no idea how grateful I am. You're the reason I finally 
       have my pendant back. I owe you everything, Trick. You're the best friend I've ever had."
    t "Stop, you're making me blush."
    m "It's true. My memories are coming back. No one else I used to know would have put 
       their lives on hold to help me look for a lost piece of jewelry all the way down in a place
       like this."
    t "It was nothing. I was glad to help."
    m "I won't forget this, ever. Maybe someday I'll find a way to repay you, but right now-"
    t "you don't have to repay me. We're friends, right?"
    m "We are. And I look after my friends. Now it's time I pitched in and helped you. Let's 
       look for the ghost train together."
    t "Right."
    hide melony with dissolve
    
    screen outward:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("gate_out")]
            
    call screen outward
    
label gate_out:
    scene gate with fade
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    screen bakward:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("linda_one")]
            
    call screen bakward

label linda_one:

    scene trackd with fade
    show linda at center with dissolve
    #play linda theme
    
    t "Whoa! Who are you?"
    w "None of your business! Shut up and come with me!"
    t "Why? (Jeez, what's her problem?)"
    w "Quiet! Curses, I tell Robin to get rid of the kid and what does he do? Invites 
       him to run around like he owns the place!"
    t "Robin Banks has an accomplice? No news clipping I've read ever mentioned one."
    
    show melony at left
    
    m "AAAGGGHHHH! My head! What's happening to me?"
    t "What's going on? Are you-?"
    w "Great, now I've been exposed. Well, I'll just have to make sure you never get the 
       chance to tell anyone about me, won't I?"
    m "I can't stand it! It hurts so bad!"
    w "Alright, kid. March!"
    t "Hey! Let go of me!"
    w "Enough with the talking! This sack ought to muffle you."
    
    show black
    stop music
    pause 2.0
    
label base:

    scene hideout with fade
    show linda at center
    play music "tunnels.ogg" fadein 1
    pause 1.0

    t "(Well here I am, captured. But it looks like Melony's not here. And I still don't 
       know who this lady is, so if I'm going to get myself out of this, I need to find 
       out.)"
    
label enact:
    
    screen in_base:
    
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "phoenix.jpg"
            hover "phoenix.jpg"
            action [Jump ("secret_code")]
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 0
            idle "lindaNew.png"
            hover "lindaNew.png"
            action [Jump ("linda_boss")]
        
    call screen in_base
    
label secret_code:

    #play secret sound
    t "(Hey, how do these two know about Sanctum Games' next project?)"
    jump enact
    
label linda_boss:
    
    #linda theme
    t "Hey, what's the idea bringing me here? Robin said-"
    w "I'm not Robin. Shut up and hold still."
    t "(OK, I've got two options here. I'm not going anywhere until I convince her to 
       release me. To do that I need to get inside her head."
    t "Now what's the best way to do that? The direct approach might work, or if I can 
       get her emotional, she might slip up...)"
    
    menu:
        "Be direct":
            jump branch_a
        "Get her angry":
            jump branch_b
            
label branch_a:

    t "Since I'm stuck here, can you at least tell me who you are?"
    w "Forget it and stop talking!"
    t "(This is going to be tough.)"
    t "I wonder how Robin will react when he learns-"
    w "Gah! Fine, if it'll get you to pipe down, my name is Linda Hand."
    t "(Step one complete. Now what?)"
    
    menu:
        "Keeping me here":
            jump a_1
        "Where's Melony?":
            jump a_2
            
label a_1:

    t "(Being direct has worked so far, may as well keep it up.)"
    t "How long are you going to keep me here?"
    l "For as long as I need to. Or forever. Since you know who I am, I can't risk 
       being exposed publicly before I reveal myself."
    t "I already made a deal with Robin for staying silent about you guys."
    l "Fine, then you only stay here until we're done. Lucky you. Now, this bag ought 
       to shut you up."
    
    show black
    jump gameover_2
    
label a_2:

    t "(This ought to really throw her for a loop. Then once she's off-guard, I'll 
       make my move.)"
    t "Where's Melony? The girl who was with me?"
    l "What? There was no one- wait, what did you just say?!"
    t "Melony Laville. She's a friend of mine-"
    l "HOW DARE YOU SAY THAT NAME TO ME!"
    t "!!!"
    t "What-"
    l "HOW DO YOU KNOW ABOUT MY OLDER SISTER? WHO TOLD YOU?"
    t "Ol-older sister?! (No way! Linda's too old to be Melony's younger sibling!)"
    l "SPILL IT!"
    t "H-hold on a second! (If she's telling the truth, then the wreck Melony was 
       involved in must have been about twenty years ago or something. That must be why 
       Melony had that migraine attack back there--I'll bet seeing Linda triggered a memory.)"
    t "So your real name is Linda Laville, then. Yeah, I know about Melony. She's been 
       down here with me."
    l "You're lying! My sister died in these tunnels. What are you playing at?"
    t "(This is the turning point. Should I use Melony to loosen her up or change the 
       subject?"
    menu:
        "Talk about Melony":
            jump a_3
        "Talk about Linda":
            jump a_4
            
label a_3: 

    t "Alright. You told me about yourself, so I'll share a secret of my own."
    t "(This is so cliche I hope I don't crack up laughing.)"
    t "I see dead people."
    t "(In hindsight, there was probably a much better way of saying that...)"
    l "..."
    l "That's cruel, kid."
    t "Huh?"
    l "First you use my dead sister against me, then mock me right to my face with 
       that cheesy line."
    t "I, uh-"
    l "Well played... Trick."
    t "You just called me by my name."
    l "I thought Robin was losing his mind, going easy on you. Now I see there's a 
       whole lot more. Fine, you're free to go. For now."
    t "Really? You're letting me go?"
    l "Go on. Beat it before I change my mind. We'll just see who gets the ghost first!"
    t "Wait, ghost? (Did she actually see Melony back there?)"
    l "The ghost train, obviously. Now get going!"
    t "Oh, right. OK, I'm off."
    jump released
    
label a_4:

    t "(Psychology, don't fail me now.)"
    t "Why do you work with Robin?"
    l "Don't change the subject. Tell me-"
    t "(I might be grabing at straws with this one, but it's too late to turn back.)"
    t "Does it have something to do with Melony, your sister? (Dang, so much for 
       changing the subject.)"
    l "What's it to you?"
    t "Does it matter? We're here and she's not. If you let me go, maybe I'll tell 
       you more."
    l "..."
    l "I think not. As you said, she's not here. She's dead. And now it's the sack 
       for you!"
    t "(No. I blew it...)"
    
    show black
    jump gameover_2
    
label branch_b:

    t "(If I can get her riled up, maybe she'll make a mistake.)"
    t "Hey lady, who do you think you are?"
    w "None of your business, brat."
    t "Making it my business. (This is fun.)"
    w "Ugh, you're going to irritate me until I tell you, aren't you?"
    t "Better believe it."
    w "Fine. It's Linda Hand."
    t "(So far so good. Let's see what else I can get out of her.)"
    menu:
        "Threaten her":
            jump b_1
        "The hideout":
            jump b_2
            
label b_1:

    t "(This should light a fire.)"
    t "You have no idea what you're getting into."
    l "Oh, really?"
    t "Here's what's going to happen. First, you're going to let me go. Then I'm 
       going to solve the mystery of the ghost train."
    l "And what gives you that idea?"
    t "(This'll really throw her for a loop.)"
    t "Because I have backup. Someone who saw you take me here. And besides that, 
       I'm smart enough to think circles around an underdog like you!"
    l "Forget it, brat. It takes more than that to get under my skin. If you're so 
       clever, why don't you prove someone saw me."
    t "(She's sturdier than I thought. Let's see where this goes.)"
    
    menu:
        "Not telling":
            jump b_3
        "Melony":
            jump b_4
            
label b_3:

    t "(If I tell her my friend is a ghost, I'm liable to lose this entire battle.)"
    t "Do you really think I'd tell you?"
    l "..."
    l "Kid, you just told your last lie."
    t "(Uh oh.) I'm not bluffing. (The irony...)"
    l "Pro tip, Mr. Smart Circles: next time you've got the other person talking, don't 
       cut them off from it. I was hoping for some challenge out of you, but apparently 
       you're all washed up. Now, time to shut you up until we're done with the ghost train."
    t "(No!)"
    
    show black
    jump gameover_2
    
label b_4:

    t "Melony Laville. She's a friend of mine-"
    l "WHAT!"
    t "Uh, I said her name is Melony Laville. (What's with her all of a sudden?)"
    l "HOW DARE YOU SAY THAT NAME TO ME!"
    t "!!!"
    t "What-"
    l "HOW DO YOU KNOW ABOUT MY OLDER SISTER? WHO TOLD YOU?"
    t "Ol-older sister?! (No way! Linda's too old to be Melony's younger sibling!)"
    l "SPILL IT!"
    t "H-hold on a second! (If she's telling the truth, then the wreck Melony was 
       involved in must have been about twenty years ago or something. That must be why 
       Melony had that migraine attack back there--I'll bet seeing Linda triggered a memory.)"
    t "So your real name is Linda Laville, then. Yeah, I know about Melony. She's been 
       down here with me."
    l "You're lying! My sister died in these tunnels. What are you playing at?"
    t "(OK, now I'm totalyl stumped.)"
    l "Did you read about her in an old paper or something? How did you find out she 
       was connected to me? And why are you saying she's here with you? You;re not 
       making sense!"
    t "(Well, I wanted to throw her emotions off. Looks like I succeeded.)"
    t "How did I learn you were connected? Because you just told me, that's how!"
    l "!!!"
    l "I see. So that's how it is. I don't know how you learned her name or how you knew 
       to use her against me without knowing we were siblings. And I don't want you to 
       tell me."
    t "Why not?"
    l "That's a mystery I want to solve on my own. Hold still, I'll untie you."
    t "Really? You're letting me go?"
    l "Go on. Beat it before I change my mind. We'll just see who gets the ghost first!"
    t "Wait, ghost? (Did she actually see Melony back there?)"
    l "The ghost train, obviously. Now get going!"
    t "Oh, right. OK, I'm off."
    jump released
    
label b_2:

    t "You think a dinky cave-hole like this can hold me? You're pathetic."
    l "You watch your mouth!"
    t "Or what, you'll go crying to Robin? I bet he messes you up good for kidnapping 
       me behind his back!"
    l "Is that right? Well, that's not all I can do behind his back."
    t "What do you mean?"
    l "I'm going to show you what happens to snotty little boys who tick me off! You'll 
       be napping in here until Robin and I have found the ghost train. Maybe even 
       longer. Back under the sack with you!"
    t "(Oh, no. I went too far!)"
    
    show black
    jump gameover_2
    
label released:
    
    scene dead with fade
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    t "(The stakes have been raised. Now I've got to contend not only with Robin, but 
       Linda as well. I'll have to be at the top of my game to stay ahead of them both, 
       so no more joking around. It's time to get serious.)"
    
    screen to_hub_2:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("hub_jack")]
    
    call screen to_hub_2
    
label hub_jack:
    
    scene hub with fade
    
    t "(The fork again. Left is where I just came from--Robin's and Linda's hideout. 
       Behind me is the shaft leading up to the subway, and to the right are those 
       arrow puzzles. No sign of Robin anywhere. Looks like the ghost train's trail 
       has gone cold.)"
    t "(Speaking of cold, the air just got really chilly...)"
    
    pause 1.0
    #jack theme
    
    show jack with slow_dissolve:
        xpos 100 ypos 400
        linear 5.0 ypos 0
        
    pause 0.5
    
    j "\'\Sup."
    t "Yo. You left in kind of a hurry last time we met."
    j "Yeah, sorry 'bout that, dude. Thing is, I'm lookin' for something."
    t "For what?"
    j "My hourglass. It ain't somethin' a living guy can see, so you wouldn't know 
       'bout it. Then again, you can see ghosts, so maybe..."
    t "(Hmm.)"
    t "Hey Jack, I have an idea."
    j "Yeah?"
    t "If I help you, will you help me?"
    j "Sounds good. What can an angel of death do for ya?"
    t "You can give me a one-up on Robin and Linda. I need to know where to go from here."
    j "So you met that dude's chick, huh. Cool, so if you wanna beat 'em to the ghost 
       train, ya need to find the secret tunnel in this room. Look carefully, it ain't 
       too hard to spot. Now, in return, hold still a sec'."
    
    $ quick_d = Dissolve (0.2)
    
    show white with quick_d
    show black with quick_d
    hide black with quick_d
    hide white with quick_d
    
    t "What was that?"
    j "Just to make sure you're able to see my hourglass. So if you happen on it, pick 
       it up for me, will ya?"
    t "Will do."
    j "Thanks, dude. I've looked all over the place down here and no luck. Course, that 
       doesn't mean it ain't on this level, but--. Man, I gotta find it."
    j "Well anyway, just keep an eye out. Laters."
    
    hide jack with dissolve
    
    t "(So, a secret entrance. Robin said there were other ways back up to the subway 
       above. They must be through there.)"
    
    screen hub_secret:
        
        imagemap:
            ground "Hub.jpg"
            hover "HubMap.jpg"
            
            hotspot (659, 269, 18, 42) clicked Return("surprise")
            
    call screen hub_secret
    
    $ result = _return
    
    if result == "surprise":
        play sound "button.ogg"
        t "Aha, there's something here."
        play sound "crumble.ogg"
        jump passage_s
        
label passage_s:
    
    scene halld with fade
    #tunnel theme
    
    t "Robin must have hidden this passage. He did a good job, too--I might not have 
       bothered looking for it if Jack hadn't tipped me off."
    
    screen dark_arrow:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("sec_shaft")]
            
    call screen dark_arrow
    
label sec_shaft:
    
    scene ladder with fade
    
    t "(A rope. Robin must have hung it here so he could climb up to the subway."
    
    screen climb:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("sub_return")]
            
    call screen climb
    
label sub_return:
    
    scene duck with fade
    #tunnel1 theme
    
    t "Alright, I'm back up."
    
    #VOICES
    
    t "(That sounds like Robin. I'd better hide.)"
    
    screen hide_in:
        
        imagemap:
            ground "Trackove.jpg"
            hover "Trackove.jpg"
            
            hotspot (540, 300, 185, 335) clicked Return("hidden")

    call screen hide_in
    
    $ result = _return
    
    if result == "hidden":
        jump to_hide
        
label to_hide:
    
    scene hidey with fade
    
    pause 1.5
    show robin at left with dissolve
    show linda with dissolve
    play music "robin3.ogg" fadeout .5 fadein .5
    
    r "We're close. I know we are."
    l "It's about time. I'm fed up with this smelly, dingy subway. Let's find the ghost 
       train and hijack it already!"
    t "(How did she get up here and meet up with Robin so quickly? There must have been 
       another passage I didn't see.)"
    r "Patience, Linda. Our trap is almost set. Once we get these tracks aligned how 
       we want them, the ghost train won't have anywhere to escape to."
    l "Thanks to me. Don't forget who did the research and found out how the train 
       actually works."
    t "(How it works? Looks like I'm missing a lot of info.)"
    
    pause .5
    play sound "train.ogg"
    pause 1.0
    
    t "(That was the ghost train! It's close!)"
    l "There it is! Do we chase it?"
    r "Not yet. We need to wait until our system is complete so we can be sure we catch 
       it."
    
    hide robin with dissolve
    hide linda with dissolve
    pause 1.5
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    t "(I think they're gone.)"
    
    screen safe:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 450
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("where_to")]
            
    call screen safe
    
label where_to:

    scene duck with fade
    show trick with dissolve
    
    t "(Those guys have a plan. A big one. From what I just heard, I assume they're 
       planning on arranging the tracks in such a way that they can trap the train. 
       Plus, they know something else about it that I don't. I should follow them and 
       see if I can learn what it is.)"
    t "(On the other hand, I might not need to if I can catch the ghost train now, 
       before they're ready to pursue it. So what will it be?)"
    $ chasechoice = 0
    
    menu:
        t "(Follow them or beat them to the train?)"
        "Follow them":
            $ chasechoice = 1
            t "(It may be dangerous to chase the train without knowing everything about 
               it. I should see what Robin and Linda know before I try.)"
            hide trick with dissolve
            jump follow
        "Beat them to it":
            $ chasechoice = 2
            t "(This could be my one chance to clinch it. I came for the ghost train, 
               not the thieves.)"
            hide trick with dissolve
            jump chase
            
label follow:
    
    $ ch_split = 1
    screen turn:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("r_split")]
            
    call screen turn
    
label r_split:
    
    scene fork with fade
    
    t "Gotta find out which way they went."
    
    screen examine:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 340 ypos 380
            idle "prints.png"
            hover "prints.png"
            action [Jump ("holmes")]
            
    call screen examine
    
label holmes:
    
    t "This way. Left."
    
    scene trador with fade
    
    screen next_door:
        
        imagemap:
            ground "TracksDoor.jpg"
            hover "TracksDoorMap.jpg"
            
            hotspot (160, 210, 63, 250) clicked Return("l_door")
            
    call screen next_door
    
    $ result = _return
    
    if result == "l_door":
        t "Locked. I need a way in."
        jump the_pin
        
label the_pin:
    
    scene trador
    
    screen point:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 230 ypos 450
            idle "pin.png"
            hover "pin.png"
            action [Jump ("obtained")]
            
    call screen point
    
label obtained:
    
    t "Maybe I can pick the lock."
    scene trador
    
    screen now_pick:
        
        imagemap:
            ground "TracksDoor.jpg"
            hover "TracksDoorMap.jpg"
            
            hotspot (160, 210, 63, 250) clicked Return("ul_door")
            
    call screen now_pick
    
    $ result = _return
    
    if result == "ul_door":
        play sound "button.ogg"
        t "Success!"
        play sound "door.ogg"
        jump dark_hall
        
label dark_hall:
    
    scene haldor with fade
    
    t "(Wait a minute! That security camera is on! Robin and Linda must have gotten the
       power back. Now how am I going to get close to them?)"
    play music "puzzle1.ogg" fadeout .5 fadein .5
    
    pause 1.0
    show black with dissolve
    pause .5
    hide black with dissolve
    
    t "(Huh? The lights went out for a second. Wait... maybe that's my ticket past the 
       camera!)"
    pause 1

label lights:
    
    show black with dissolve    
    pause
    
    show haldor behind black:
        zoom 1.5
        yalign 50
    hide black with dissolve

label light_2:
    
    pause 1
    show black with dissolve
        
    pause
    
    show haldor behind black:
        zoom 2.5
        ypos -150
    hide black with dissolve
        
    pause 1

label light_3:

    show black with dissolve
        
    pause
    
    show haldor behind black:
        zoom 3.25
        ypos -350
    hide black with dissolve    
    
label past_c:
    hide black with dissolve
    stop music fadeout 1
    t "(OK, I'm past the camera. And I can hear Robin and Linda talking on the other side.)"
    pause 3
    r "Alright, let's review everything we know. We can't afford any mistakes."
    l "OK. The track directions are changed with these control panels. This is the 
       sixth one, making two left."
    r "And the directions we want form a continuous loop with no break-off points."
    l "As for the train itself, it only has physical form while it's stopped. Once 
       it's moving, it and everything on it enters the ghost plane of reality. Any 
       living person caught in this plane becomes trapped there."
    r "Unless they gain control of the train."
    l "That's your job. You'll tame it using your skill with manipulating technology. 
       I still don't know how you do some of the things you do."
    r "Let's just say I have a knack. Things respond to me when I treat them as if 
       they're alive. It's an ability only I have."
    l "Yeah, yeah, whatever. And lastly, the train only stops when no one is close by 
       and no one is watching; eyes, cameras, or whatever. So in order to actually 
       catch it, we need to turn off all the surveillance in just one area and wait. 
       Once it's stopped, we move in."
    r "It wants people to board it. It powers itself by feeding on its victims' energy. 
       It'll let us on for sure. Then it's ours."
    
    pause 3
    play sound "door.ogg"
    pause 1
    
    t "(Coast is clear. They went out the opposite door.)"
    
    screen allclear:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 350 ypos 550
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("key_2")]
            
    call screen allclear
    
label key_2:
    
    show padt:
        xalign .5 yalign.5
        ypos 250
    t "(Looks like they locked this one behind them. How can I figure out 
       the code they entered?)"
    play music "puzzle1.ogg" fadein .5
    
label entco:
    
    $ ans = renpy.input("Type 5-digit code", allow="{0, 1, 2, 3, 4, 5, 6, 7, 8, 9}", length=5)
    $ ans = ans.strip( )
    if ans == "58612":
        play sound "correct.ogg"
        t "Gotcha!"
        play sound "door.ogg"
        jump sec_booth
    elif ans != "58612":
        play sound "wrong.ogg"
        t "Hmm."
        jump entco
            
label sec_booth:
    
    scene tr with fade
    show trick at center with dissolve
    play music "tunnels.ogg" fadeout .5 fadein .5
    
    t "So now I know the ghost train's secret. As for taming it, I'm on my own with that. 
       I'll have to figure something out."
    hide trick with dissolve
    
    screen to_plat:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 100 ypos 450
            idle "larrow.png"
            hover "larrow.png"
            action [Jump ("n_pl")]
            
    call screen to_plat
    
label n_pl:
    
    play sound "door.ogg"    
    jump team_up

label chase:
    
    $ ch_split = 2
    screen chase1:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("hear_it")]
            
    call screen chase1
    
label hear_it:
    
    scene tright with fade
    play sound "traina.ogg"
    pause 1
    t "It's still close by!"
    
    screen chase2:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 600 ypos 300
            idle "rarrow.png"
            hover "rarrow.png"
            action [Jump ("tfork")]
            
    call screen chase2
    
label tfork:
    
    scene fork with fade
    
    t "Great. Which way?"
    play music "puzzle1.ogg" fadeout .5 fadein .5
    pause 1
    show lights with dissolve:
        xalign .5 yalign .5
        xpos 260 ypos 250
        alpha .25
        zoom .25
    hide lights with dissolve
    
    screen chase3:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 250 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("rightway")]
            
        imagebutton:
            xalign .5 yalign .5
            xpos 550 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("wrongway")]
            
    call screen chase3
    
label wrongway:
    
    scene trackend with fade
    stop music fadeout 1
    t "Huh? Oh no, I took the wrong way!"
    show robin with dissolve
    play music "robin3.ogg" fadein 1
    t "Robin!"
    r "I thought I heard you walking around. Linda and I are close to catching the 
       ghost train."
    t "Uh... huh..."
    r "Sorry, Trick, I know you wanted to find it, but we can't afford to risk losing 
       it to you. Come with me and I'll take you out of the subway."
    t "Robin, please! Let me at least go with you to the train! Please!"
    r "I can't. Again, I'm sorry. Once you're out of the subway, don't come back."
    
    show black with slow_d
    jump gameover_2
    
label rightway:
    
    scene tracks with fade
    
    screen chase4:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("sfork")]
            
    call screen chase4
    
label sfork:
    
    scene fork with fade
    pause 1
    show lights with dissolve:
        xalign .5 yalign .5
        xpos 540 ypos 250
        alpha .25
        zoom .25
    hide lights with dissolve
    
    screen chase5:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 250 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("wrongway")]
            
        imagebutton:
            xalign .5 yalign .5
            xpos 550 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("rightway2")]
            
    call screen chase5
    
label rightway2:
    
    scene tracks with fade
    
    screen chase6:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 350
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("onemore")]
            
    call screen chase6
    
label onemore:
    
    scene fork with fade
    pause 1
    t "(... Did I lose it?)"
    pause 1
    play sound "traina.ogg"
    t "Huh? Behind me? But how?"
    
    screen chase7:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("caught_train")]
            
    call screen chase7
    
label caught_train:
    
    scene train with fade
    stop music fadeout 1
    t "I can't believe it. I found it again. This is it. This. Is. It."
    menu:
        "Board the ghost train!":
            jump in_train
            
label in_train:
    
    scene incar with fade
    play music "tunnels.ogg" fadein 1
    #play ghost train theme instead
    show trick with dissolve
    
    t "(OK, Trick. You've successfully gotten aboard. Now what?)"
    hide trick with dissolve
    play sound "train.ogg"
    t "Wha- it's moving!"
    
    screen noescape:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 450
            idle "uparrow.png"
            hover "uparrow.png"
            action [Jump ("trapped")]
            
    call screen noescape
    
label trapped:
    
    play sound "button.ogg"
    t "I'm locked in!"
    
    screen backdoor:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "backarrow.png"
            hover "backarrow.png"
            action [Jump ("not_good")]
            
    call screen backdoor
    
label not_good:
    
    t "This is bad!"
    show ghost at right with dissolve
    w "Help! Help me!"
    #play moaning sound
    hide ghost with dissolve
    show ghost at left with dissolve
    w "Let me off!"
    #moan
    hide ghost with dissolve
    t "Th-these phantoms. Could they be...?"
    
    screen lostnote:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400 ypos 500
            idle "hint.png"
            hover "hint.png"
            action [Jump ("reading")]
            
    call screen lostnote
    
label reading:
    
    play sound "paper.ogg"
    show syn:
        xalign .5
        ypos 80
        
    t "Was this note here before? Let's see what it says."
    "I can feel myself fading. Before I vanish from both worlds forever, maybe some 
       of the things I've learned can help save someone else. I'm a victim of the ghost 
       train."
    "It captures living people and feeds off of their energy to power itself. Some 
       last longer than others, but eventually everyone fades away and ceases to exist."
    t "(So, I'm gonna die here?!)"
    "The train only has physical form while it's stopped. And it only stops when no 
       one is around to see it, then it waits for a victim to board it and carries them 
       off."
    "It moves along the tracks as a ghost, taking passengers with it into the ghost plane 
     of reality where living people become trapped. Even if the train stops, once a person 
     enters the etheral plane, their biomagnetic field aligns itself to the aether."
    "They can never return to the normal world."
    t "No! That can't be!"
    "I only hope this message finds its way off the train somehow, and into the hands 
     of someone who will use it to prevent more dissappe-"
    t "It just cuts off. Like the person writing it wasn't... there anymore..."
    hide syn with dissolve
    t "And now I'm stuck on the ghost train with these other prisoners."
    pause 1
    t "No. Please no."
    pause 1
    t "No!"
    pause 1
    t "NO!"
    
    if have_pendant:
        jump mel_save
        
    jump doomed
    
label doomed:
    
    scene black with fade
    stop music fadeout .5
    pause 1
    "G A M E  O V E R"
    return
    
label mel_save:
    
    w "Trick!"
    t "Wh-who's there?"
    
    show melony with quick_d
    
    m "Trick! Take my hand! Hurry!"
    t "What's going on?"
    m "Don't ask questions, just grab onto me!"
    
    screen hand:
        
        imagebutton:
            xalign .5 yalign .5
            xpos 400
            idle "Melony.png"
            hover "Melony.png"
            action [Jump ("team_up")]
            
    call screen hand

label team_up:
    
    scene platform with fade
 
    if ch_split == 2:
        show melony at left with dissolve
        show trick at right with dissolve
        m "Are you OK?"
        t "Yeah, I think so. How did you get me out of there? I thought living people 
        couldn't escape the ghost world."
        m "It's my pendant. Remember how we were able to touch each other once I got it 
        back? Because of my attachment to it, it gives me power. Enough to go 
        between the physical and ghost planes."
        m "I heard you following the ghost train and thought you might need me. Thanks to
        the strength my pendant gives me, I was able to bring you back to the physical 
        world."
        t "You- you saved my life then!"
        m "Of course I did. Trick, I'd never let anything happen to you."
        t "(It's comforting to hear her say that- wait, that reminds me!)"
    elif ch_split == 1:
        show melony
        m "Oh! Trick"
    
    t "Melony! What happened with you before? I mean down below?"
    m "Trick, I- I remember everything! I had a younger sister! That woman reminded 
       me of her for some reason."
    t "Her name is Linda Hand. At least that's her alias. But that's her all right. 
       That was your sister, grown up."
    m "!!!!!"
    t "That means you must have died somewhere around twenty years ago."
    m "Things are starting to come together."
    t "Yeah. The accident that shut this subway system down happened around that time. 
       You were on the train that wrecked, and that same train now wanders these very 
       tracks."
    m "There's more. I wasn't sure until now, but... I think the ghost train is 
       conscious. I've been sensing strong feelings of remorse lately. What if the ghost 
       train is traveling around because it wants to finish what it started?"
    t "You mean it wants to deliver the people who were riding it that day to their 
       destinations? But because of what happened, those people died, so it's stuck in 
       a paradox."
    m "What are you going to do?"
    t "If what you suspect is true, then maybe we can find a way to lay the ghost train 
       to rest. (The people it ferried twenty years ago are long gone, no doubt consumed 
       as fuel so it can power itself. But what about its current passengers?)"
    m "Plus, if those thieves are still after the train, that means... my sister is in 
       danger!"
    t "Calm down. We know what we have to do. It's just a matter of figuring out how. 
       And to do that, we need to learn more about the ringleader of this whole thing: 
       Robin Banks."
    m "... Trick. You've grown up."
    t "Oh. Uh, thanks!"
    t "(I guess she's right. Normally I'd be making wise-cracks, but I havent' been doing 
       that lately.) Let's go. We need to track those two down."
    
    jump conclude_2

label gameover_2:

    stop music fadeout 1
    pause 1.0
    
    t "That's it. I messed up and it cost me everything. I can only assume Robin and 
       Linda succeeded, because not a day goes by now that they aren't causing trouble 
       and vanishing without a trace afterward."
    t "I never went back to that subway. To tell the truth, I'm afraid to. All I can 
       do is try to forget the whole thing and move on."
    "G A M E  O V E R"
    return
    
label conclude_2:

    show black with slow_d
    stop music fadeout 3
    pause .5
    "CHAPTER 3"
    jump threestart
    "Hello from The Maker. Thanks for playing Trick the Riddle Detective up to now. 
     Things are indeed coming together, for Trick and Melony as well as for Robin and 
     Linda."
    "Don't forget to replay the game and make different choices as you go. Did you find 
     Melony's pendant? Did you follow the thieves or chase the ghost train?"
    "I look forward to hearing your feedback! - The Maker"
    return